export declare const readTool: import("../../../toolcraft/dist/index.js").Command<{
    [x: string]: never;
}, import("../../../toolcraft-schema/dist/index.js").ObjectSchema<{
    readonly file: import("../../../toolcraft-schema/dist/index.js").StringSchema;
    readonly depth: import("../../../toolcraft-schema/dist/index.js").OptionalSchema<import("../../../toolcraft-schema/dist/index.js").NumberSchema>;
}>, undefined, import("../core/read-markdown.js").ReadMarkdownResult> & {
    readonly __agentKitCommandTypeInfo: import("../../../toolcraft/dist/index.js").CommandTypeInfo<"read", import("../../../toolcraft-schema/dist/index.js").ObjectSchema<{
        readonly file: import("../../../toolcraft-schema/dist/index.js").StringSchema;
        readonly depth: import("../../../toolcraft-schema/dist/index.js").OptionalSchema<import("../../../toolcraft-schema/dist/index.js").NumberSchema>;
    }>, import("../core/read-markdown.js").ReadMarkdownResult, "mcp"[], undefined>;
};
export declare const readSectionTool: import("../../../toolcraft/dist/index.js").Command<{
    [x: string]: never;
}, import("../../../toolcraft-schema/dist/index.js").ObjectSchema<{
    readonly file: import("../../../toolcraft-schema/dist/index.js").StringSchema;
    readonly section: import("../../../toolcraft-schema/dist/index.js").StringSchema;
    readonly includeChildren: import("../../../toolcraft-schema/dist/index.js").OptionalSchema<import("../../../toolcraft-schema/dist/index.js").BooleanSchema>;
}>, undefined, import("../core/read-section.js").ReadSectionResult> & {
    readonly __agentKitCommandTypeInfo: import("../../../toolcraft/dist/index.js").CommandTypeInfo<"read-section", import("../../../toolcraft-schema/dist/index.js").ObjectSchema<{
        readonly file: import("../../../toolcraft-schema/dist/index.js").StringSchema;
        readonly section: import("../../../toolcraft-schema/dist/index.js").StringSchema;
        readonly includeChildren: import("../../../toolcraft-schema/dist/index.js").OptionalSchema<import("../../../toolcraft-schema/dist/index.js").BooleanSchema>;
    }>, import("../core/read-section.js").ReadSectionResult, "mcp"[], undefined>;
};
